<?php 

  $sitefouille_id = $this->getSession()->get('sitefouille_id') ;    

?>
<script type="text/javascript">
/*
  $(document).ready(function(){
    $.ajax({
			type:"GET",
			url: "<?php echo $this->getRequest('Dashboard_Sitefouille','Timeline' ) ; ?>",
			// data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/is_loading.gif" /></span>'),
			success: function(returnData_dashboard){
				$("#dashboard_content").html(returnData_dashboard);					
			},
      error: function(xhr, status, error){
      }
		});
    
    $.ajax({
			type:"GET",
			url: "<?php echo $this->getRequest('Dashboard_Sitefouille','Planning') ; ?>",
			// data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/is_loading.gif" /></span>'),
			success: function(returnData_planning){
				$("#planning_content").html(returnData_planning);					
			},
      error: function(xhr, status, error){
      }
		});

  });
*/
</script>

<div>

<!-- Nav tabs -->
<ul class="nav nav-pills nav-tabs nav-justified" role="tablist">
  <li role="presentation" class="active"><a href="#dashboard" role="tab" data-toggle="tab">Dashboard</a></li>
  <li role="presentation"><a href="#diagram" role="tab" data-toggle="tab">Diagramme U.S.</a></li>
  <li role="presentation"><a href="#participation" role="tab" data-toggle="tab">Participation OA</a></li>
  <li role="presentation"><a href="#intervention" role="tab" data-toggle="tab">Intervention US</a></li>
  <!-- <li role="presentation"><a href="#maps" role="tab" data-toggle="tab">Carte</a></li>
  <li role="presentation"><a href="#oa" role="tab" data-toggle="tab">Op&eacute;ration Arch&eacute;ologique</a></li> -->
  <li role="presentation"><a href="#us" role="tab" data-toggle="tab">Unit&eacute;s Stratigraphiques</a></li>
  <li role="presentation"><a href="#er" role="tab" data-toggle="tab">El&eacute;ments Recueillis</a></li>
  <!-- <li role="presentation"><a href="#debug" role="tab" data-toggle="tab">Debug</a></li> -->
</ul>

<!-- Tab panes -->
<div class="tab-content">
  <div role="tabpanel" class="tab-pane active" id="dashboard">
    <!-- Contenu du Dashboard-->
<p>    
    <div id="dashboard-content">
      <?php 
       echo $this->getResponse('Dashboard_Sitefouille', 'dashboard', array($sitefouille_id) );                               
		  ?>
    </div>
</p>
  </div>
  
  <div role="tabpanel" class="tab-pane" id="diagram">
    <!-- Contenu du Planning-->
    <p>
    <div id="diagram-content">
      <?php 
       echo $this->getResponse('Dashboard_Us', 'UsNetwork');
		  ?>
    </div>
  </p>    
  </div>
  <div role="tabpanel" class="tab-pane" id="participation">
    <!-- Contenu du Planning-->
    <p>
    <div id="participation-content">
      <?php 
        $oa_id = $this->getSession()->has('oa_id') ? $this->getSession()->get('oa_id') : null ;
        
        if (!empty($oa_id) ) {      
          echo $this->getResponse('Dashboard_Sitefouille', 'Participation' );
          // Mode d'affichage sous forme d'un calendrier
          // echo $this->getResponse('Dashboard_Oa', 'Calendar' );          
        } else {
      ?>
      <div class="alert alert-dismissable alert-warning">
        <!-- Nota :  flash_status = warning | danger | success | info -->
        <button type="button" class="close" data-dismiss="alert">X</button>
        <h4>Suivi de chantiers</h4>
        Veuillez choisir une Op&eacute;ration Arch&eacute;ologique
      </div>
      <?php
          echo $this->getResponse('Dashboard_Oa', 'List',  array('layout' => false) );    
        }
		  ?>
        
    </div>
    </p>    
  </div>  
  <div role="tabpanel" class="tab-pane" id="intervention">
    <!-- Contenu du Planning-->
  <p>
    <div id="intervention-content">
      <?php 
       echo $this->getResponse('Dashboard_Sitefouille', 'Intervention', array($sitefouille_id));
       $this->getLayout()->setEnabled(true);                               
		  ?>
    </div>
  </p>    
  </div>

  <div role="tabpanel" class="tab-pane" id="maps">
    <!-- Rappel Titre Onglets -->
    <div class="col-md-12"><h2 class="page-header">Localisation</h2></div>
    
    <!-- Maps du Site de Fouille -->  
    <div class="col-md-8">    
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Carte</h3>
        </div>
        <div class="panel-body">
          <!--
          <iframe    
            src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d649.6558042129767!2d2.3570862208717727!3d48.935718256680644!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47e66eb35b81c13f%3A0x90ccac673397956!2s4+Rue+du+Cygne%2C+93200+Saint-Denis!5e1!3m2!1sfr!2sfr!4v1415267838458"    
            width="600"    
            height="450"    
            frameborder="0"    
            style="border:0">
          </iframe>
          -->
        </div>
        <div class="panel-footer">Panel footer</div>
      </div>
    </div>
      
  </div>
  <div role="tabpanel" class="tab-pane" id="oa">
    <div id="oa_list">
      <?php
        // echo $this->getResponse('Dashboard_Oa', 'Index',  array('layout' => false) );                                     
  		?>
    </div>
  </div>
  <div role="tabpanel" class="tab-pane" id="us">
    <div id="us-content">
    <p>
      <div id="us-timeline">
        <?php 
         echo $this->getResponse('Dashboard_Us', 'UsTimeline', array('layout' => false) );                             
  		  ?>
      </div>
    </p>
    <p>
    <div id="us_list"></div>
    </p>
    </div>  
  </div>
  <div role="tabpanel" class="tab-pane" id="er">
    <div id="er-content">
      <div id="er-statut">
        <?php 
         echo $this->getResponse('Dashboard_Elementrecueilli', 'statut', array('layout' => false) );                                        
  		  ?>
      </div>
      <div id="er-etat">
        <?php 
         echo $this->getResponse('Dashboard_Elementrecueilli', 'etat', array('layout' => false) );                                        
  		  ?>
      </div>
      <div id="er-suivi_status">
        <?php 
         echo $this->getResponse('Dashboard_Elementrecueilli', 'StatutSuivi', array('layout' => true) );                                        
  		  ?>
      </div>
    </div>
  </div>  
  <div role="tabpanel" class="tab-pane" id="debug">
    <div id="debug-content">
      <p>
       <div class="panel panel-warning">
        <div class="panel-body">
          <?php 
           echo $this->getResponse('Index', 'Debug', array(false) );
           $this->getLayout()->setEnabled(true);                               
    		  ?>
        </div>
      </div>
      </p>
    </div>
  </div>
</div>

</div>

